Subject: about advance parole

From: Hailing Zhang <[email-masked]>
Date: Fri, 16 Sep 94 11:00:58 CDT

One of my friends has a daughter who is a lad. She alread got her first 
letter from INS asking about principal's aproval documents (I guess this 
is a standard letter that many lads got in New York area recently). Now 
my friend decided to bring his daugher along for a vocational trip back 
to China. The  question is how to apply for an advance parole? Especially 
for someone who shared similar experince would be great help. What kind 
of procedure should he follow? How long does it take to get it? What 
would be the chance for her to get actual PR before she goes to China 
(about later October)? Thanks in advance.